For the complete documentation index, see llms.txt. This page is also available as Markdown.

Platform API OpenAPI

Roboflow Platform संसाधनों के लिए HTTP API ब्राउज़ और परीक्षण करें।

Platform API का उपयोग करें https://api.roboflow.com वर्कस्पेस, प्रोजेक्ट, डेटासेट, प्रशिक्षण, Workflows और संबंधित संसाधनों को प्रबंधित करने के लिए।

Roboflow API key के साथ निम्न में प्रमाणीकरण करें: Authorization: Bearer हेडर या api_key क्वेरी पैरामीटर। देखें REST API के साथ प्रमाणीकरण करें.

यह इस साइट पर प्रलेखित सार्वजनिक Platform API ऑपरेशनों के लिए एक प्रारंभिक संदर्भ है। कुछ अनुरोध और प्रतिक्रिया ऑब्जेक्ट अभी भी खुले हैं क्योंकि Platform API अभी तक पूर्ण मशीन-पठनीय स्कीमा प्रकाशित नहीं करता है।

मॉडल और Workflows निष्पादन एंडपॉइंट्स के लिए, देखें Inference Server OpenAPI.

आप यह भी कर सकते हैं स्रोत OpenAPI दस्तावेज़ डाउनलोड करें.

वर्कस्पेस और प्रोजेक्ट

Verify credentials and get the authenticated workspace

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/
GET / HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a workspace and its projects

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}
GET /{workspace} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create a project

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/projects
POST /{workspace}/projects HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Fork a Universe project

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/projects/fork
POST /{workspace}/projects/fork HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a project and its versions

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}
GET /{workspace}/{project} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Move a project to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/{project}
DELETE /{workspace}/{project} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get dataset health metrics

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/health
GET /{workspace}/{project}/health HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List models for a project

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/models
GET /{workspace}/{project}/models HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a dataset version

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}
GET /{workspace}/{project}/{version} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Move a dataset version to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/{project}/{version}
DELETE /{workspace}/{project}/{version} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

API key

List workspace API keys

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/api-keys
GET /{workspace}/api-keys HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create a workspace API key

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/api-keys
POST /{workspace}/api-keys HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get the workspace publishable API key

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/api-keys/publishable
GET /{workspace}/api-keys/publishable HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get an API key

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

keyIdstringRequired

API key ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/api-keys/{keyId}
GET /{workspace}/api-keys/{keyId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update an API key

patch

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

keyIdstringRequired

API key ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
patch/{workspace}/api-keys/{keyId}
PATCH /{workspace}/api-keys/{keyId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Revoke an API key

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

keyIdstringRequired

API key ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/api-keys/{keyId}
DELETE /{workspace}/api-keys/{keyId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

प्रोजेक्ट फ़ोल्डर

List project folders

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/groups
GET /{workspace}/groups HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create a project folder

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/groups
POST /{workspace}/groups HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update a project folder

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/groups/{folderId}
POST /{workspace}/groups/{folderId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Delete a project folder

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Responses
204

Completed with no response body.

No content

delete/{workspace}/groups/{folderId}
DELETE /{workspace}/groups/{folderId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Add or remove projects in a folder

patch

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
204

Completed with no response body.

No content

patch/{workspace}/groups/{folderId}/projects
PATCH /{workspace}/groups/{folderId}/projects HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

No content

Remove projects from a folder

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
204

Completed with no response body.

No content

delete/{workspace}/groups/{folderId}/projects
DELETE /{workspace}/groups/{folderId}/projects HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

No content

डेटासेट संस्करण और प्रशिक्षण

Generate a dataset version

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/generate
POST /{workspace}/{project}/generate HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Rebalance train, validation, and test splits

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/splits/rebalance
POST /{workspace}/{project}/splits/rebalance HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Export a dataset version

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

formatstringRequired

Dataset export format.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/{format}
GET /{workspace}/{project}/{version}/{format} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Start a training job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/train
POST /{workspace}/{project}/{version}/train HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Cancel a queued training job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/train/cancel
POST /{workspace}/{project}/{version}/train/cancel HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Stop an active training job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/train/stop
POST /{workspace}/{project}/{version}/train/stop HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get training results

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/training/results
GET /{workspace}/{project}/{version}/training/results HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List training runs

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/v2/trainings
GET /{workspace}/{project}/{version}/v2/trainings HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create a training run

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/v2/trainings
POST /{workspace}/{project}/{version}/v2/trainings HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a training run

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/v2/trainings/get
GET /{workspace}/{project}/{version}/v2/trainings/get HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get the accepted training recipe

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/v2/trainings/recipe
GET /{workspace}/{project}/{version}/v2/trainings/recipe HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Cancel a queued training run

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/v2/trainings/cancel
POST /{workspace}/{project}/{version}/v2/trainings/cancel HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Stop an active training run

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/v2/trainings/stop
POST /{workspace}/{project}/{version}/v2/trainings/stop HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Move a training run to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

trainingIdstringRequired

Training run ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/{project}/{version}/v2/trainings/{trainingId}
DELETE /{workspace}/{project}/{version}/v2/trainings/{trainingId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

छवियाँ और बैच

Upload an image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/dataset/{project}/upload
POST /dataset/{project}/upload HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Upload an annotation

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
projectstringRequired

Project URL slug.

imageIdstringRequired

Image ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/dataset/{project}/annotate/{imageId}
POST /dataset/{project}/annotate/{imageId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get image details

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

imageIdstringRequired

Image ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/images/{imageId}
GET /{workspace}/{project}/images/{imageId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Delete images from a project

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
204

Completed with no response body.

No content

delete/{workspace}/{project}/images
DELETE /{workspace}/{project}/images HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

No content

Add or remove image tags

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

imageIdstringRequired

Image ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/images/{imageId}/tags
POST /{workspace}/{project}/images/{imageId}/tags HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update metadata and tags for one image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

imageIdstringRequired

Image ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/images/{imageId}/metadata
POST /{workspace}/images/{imageId}/metadata HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update metadata and tags for multiple images

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/images/metadata
POST /{workspace}/images/metadata HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List image batches

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/batches
GET /{workspace}/{project}/batches HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get an image batch

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

batchIdstringRequired

Image batch ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/batches/{batchId}
GET /{workspace}/{project}/batches/{batchId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Start a dataset ZIP upload

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/upload/zip
POST /{workspace}/{project}/upload/zip HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get dataset ZIP upload status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

taskIdstringRequired

Asynchronous task ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/upload/zip/{taskId}
GET /{workspace}/upload/zip/{taskId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

एनोटेशन

List annotation jobs

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/jobs
GET /{workspace}/{project}/jobs HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create an annotation job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/jobs
POST /{workspace}/{project}/jobs HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get an annotation job

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

jobIdstringRequired

Job ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/jobs/{jobId}
GET /{workspace}/{project}/jobs/{jobId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create an Auto Label job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/autolabel
POST /{workspace}/{project}/autolabel HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get Auto Label job status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

jobIdstringRequired

Job ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/autolabel/jobs/{jobId}
GET /{workspace}/autolabel/jobs/{jobId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

वर्कफ़्लो

List Workflows

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/workflows
GET /{workspace}/workflows HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a Workflow

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/workflows/{workflowId}
GET /{workspace}/workflows/{workflowId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Move a Workflow to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/workflows/{workflowId}
DELETE /{workspace}/workflows/{workflowId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List Workflow versions

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/workflows/{workflowId}/versions
GET /{workspace}/workflows/{workflowId}/versions HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create a Workflow

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/createWorkflow
POST /{workspace}/createWorkflow HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update a Workflow

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/updateWorkflow
POST /{workspace}/updateWorkflow HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Fork a Workflow

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/forkWorkflow
POST /{workspace}/forkWorkflow HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create a Workflow token

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/workflowToken
POST /{workspace}/workflowToken HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

एजेंट

Send a message to Roboflow Agent

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/agent/chat
POST /{workspace}/agent/chat HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Publish a Workflow created by Roboflow Agent

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/agent/workflows/{workflowId}/publish
POST /{workspace}/agent/workflows/{workflowId}/publish HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List Roboflow Agent conversations

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/agent/conversations
GET /{workspace}/agent/conversations HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a Roboflow Agent conversation

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

conversationIdstringRequired

Conversation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/agent/conversations/{conversationId}
GET /{workspace}/agent/conversations/{conversationId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

खोज

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/universe/search
GET /universe/search HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Search public Universe projects by image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/universe/search
POST /universe/search HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Search images in a project

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/search
POST /{workspace}/{project}/search HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Search images across a workspace

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/search/v1
POST /{workspace}/search/v1 HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Export image search results

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/search/export
POST /{workspace}/search/export HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get image search export status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

taskIdstringRequired

Asynchronous task ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/search/export/{taskId}
GET /{workspace}/search/export/{taskId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

ट्रैश और कार्य

List deleted resources

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/trash
GET /{workspace}/trash HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Restore a deleted resource

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/trash/restore
POST /{workspace}/trash/restore HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get asynchronous task status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

taskIdstringRequired

Asynchronous task ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/asynctasks/{taskId}
GET /{workspace}/asynctasks/{taskId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

परिनियोजन

Get project deployment settings

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/deploy
GET /{workspace}/{project}/deploy HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Select the deployed project model

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/model
POST /{workspace}/{project}/deploy/model HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get Active Learning settings

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/deploy/active-learning
GET /{workspace}/{project}/deploy/active-learning HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Enable Active Learning

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/active-learning/enable
POST /{workspace}/{project}/deploy/active-learning/enable HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Disable Active Learning

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/active-learning/disable
POST /{workspace}/{project}/deploy/active-learning/disable HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update Active Learning settings

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/active-learning/configuration
POST /{workspace}/{project}/deploy/active-learning/configuration HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List Active Learning images

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/deploy/active-learning/images
GET /{workspace}/{project}/deploy/active-learning/images HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

निगरानी

Get inference usage statistics

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/inference-stats
GET /{workspace}/inference-stats HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Attach metadata to inference records

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/inference-stats/metadata
POST /{workspace}/inference-stats/metadata HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

विज़न इवेंट्स

Create a Vision Event

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events
POST /vision-events HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create Vision Events in a batch

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/batch
POST /vision-events/batch HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Upload a Vision Event image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/upload
POST /vision-events/upload HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Query Vision Events

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/query
POST /vision-events/query HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Delete Vision Events

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/delete
POST /vision-events/delete HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a custom metadata schema

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/vision-events/custom-metadata-schema/{useCaseId}
GET /vision-events/custom-metadata-schema/{useCaseId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List Vision Event use cases

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/vision-events/use-cases
GET /vision-events/use-cases HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create a Vision Event use case

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/use-cases
POST /vision-events/use-cases HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update a Vision Event use case

put

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
put/vision-events/use-cases/{useCaseId}
PUT /vision-events/use-cases/{useCaseId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Archive a Vision Event use case

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/use-cases/{useCaseId}/archive
POST /vision-events/use-cases/{useCaseId}/archive HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Unarchive a Vision Event use case

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/use-cases/{useCaseId}/unarchive
POST /vision-events/use-cases/{useCaseId}/unarchive HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

परिनियोजन प्रबंधक

List Deployment Manager devices

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2
GET /{workspace}/devices/v2 HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Register a Deployment Manager device

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/devices/v2
POST /{workspace}/devices/v2 HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get the default device configuration

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/default-config
GET /{workspace}/devices/v2/default-config HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a device

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}
GET /{workspace}/devices/v2/{deviceId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get device configuration

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/config
GET /{workspace}/devices/v2/{deviceId}/config HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get device configuration history

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/config/history
GET /{workspace}/devices/v2/{deviceId}/config/history HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

List device streams

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/streams
GET /{workspace}/devices/v2/{deviceId}/streams HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a device stream

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

streamIdstringRequired

Device stream ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/streams/{streamId}
GET /{workspace}/devices/v2/{deviceId}/streams/{streamId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get device logs

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/logs
GET /{workspace}/devices/v2/{deviceId}/logs HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get device telemetry

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/telemetry
GET /{workspace}/devices/v2/{deviceId}/telemetry HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get device events

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/events
GET /{workspace}/devices/v2/{deviceId}/events HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

मॉडल मूल्यांकन

List model evaluations

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals
GET /{workspace}/model-evals HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a model evaluation

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}
GET /{workspace}/model-evals/{evaluationId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get mAP results

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/map-results
GET /{workspace}/model-evals/{evaluationId}/map-results HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a confidence sweep

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/confidence-sweep
GET /{workspace}/model-evals/{evaluationId}/confidence-sweep HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get performance by class

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/performance-by-class
GET /{workspace}/model-evals/{evaluationId}/performance-by-class HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get a confusion matrix

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/confusion-matrix
GET /{workspace}/model-evals/{evaluationId}/confusion-matrix HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get vector analysis

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/vector-analysis
GET /{workspace}/model-evals/{evaluationId}/vector-analysis HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get image predictions

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/image-predictions
GET /{workspace}/model-evals/{evaluationId}/image-predictions HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get evaluation recommendations

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/recommendations
GET /{workspace}/model-evals/{evaluationId}/recommendations HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

बिलिंग

Get a billing usage report

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/billing-usage-report
POST /{workspace}/billing-usage-report HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

अंतिम अपडेट

क्या यह उपयोगी था?